%define modname ruli
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A28_%{modname}.ini

Summary:	PHP binding for RULI
Name:		php-%{modname}
Version:	0.36
Release:	%mkrel 1
License:	GPL
Group:		Development/PHP
URL:		http://savannah.nongnu.org/projects/ruli/
Source0:	php-ruli-%{version}.tar.bz2
BuildRequires:	php-devel >= 5.1.0
BuildRequires:	ruli-devel >= %{version}
Provides:	php5-ruli
Obsoletes:	php5-ruli
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PHP binding for RULI

RULI stands for Resolver User Layer Interface. It's a library built on top of
an asynchronous DNS stub resolver. RULI provides an easy-to-use interface for
querying DNS SRV resource records. The goal is to promote the wide deployment
of SRV-cognizant client programs. RULI aims to fully support SRV-related
standards.

%prep

%setup -q -n ruli-%{version}
mv php/ruli/* .
mv php/README .

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests ruli_sync_query.php ruli_sync_smtp_query.php ruli.php README
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.36-1
- 0.36
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.35-5mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.35-4mdk
- rebuilt for php-5.1.3

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.35-3mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.35-2mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.35-1mdk
- ripped the php bindings code from the ruli tar ball
- rebuilt against php-5.1.0
- fix versioning

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.29-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_0.29-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.29-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.29-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.29-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.29-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.29-2mdk
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.29-1mdk
- rebuilt for php-5.0.3

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_0.29-1mdk
- rebuilt for php-5.0.2

* Sun Aug 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_0.29-1mdk
- initial mandrake package
